package tss

import "testing"

func TestValueColor (test *testing.T) {
	testValueColorRGBA(test, 0xFB380CFF, 0xFBFB, 0x3838, 0x0C0C, 0xFFFF)
	testValueColorRGBA(test, 0xFB380C00, 0x0000, 0x0000, 0x0000, 0x0000)
}

func testValueColorRGBA (test *testing.T, col ValueColor, r, g, b, a uint32) {
	gr, gg, gb, ga := col.RGBA()
	test.Logf("testing RGBA for color #%08X", col)
	if gr != r { test.Errorf("r component inequal (%04X != %04X)", gr, r) }
	if gg != g { test.Errorf("g component inequal (%04X != %04X)", gg, g) }
	if gb != b { test.Errorf("b component inequal (%04X != %04X)", gb, b) }
	if ga != a { test.Errorf("a component inequal (%04X != %04X)", ga, a) }
}
